<%@ Register Assembly="RibbonToolbarNET11" Namespace="RussellMason.Web.UI.Office2007" TagPrefix="orb" %>
<%@ Register Assembly="RadTabStrip" Namespace="Telerik.WebControls" TagPrefix="radTS" %>
<%@ Register Assembly="RadMenu" Namespace="Telerik.WebControls" TagPrefix="radM" %>
<%@ Register Assembly="RadAjax" Namespace="Telerik.WebControls" TagPrefix="radA" %>
<%@ Register Assembly="RadComboBox" Namespace="Telerik.WebControls" TagPrefix="radC" %>
<%@ Register Assembly="RadToolbar" Namespace="Telerik.WebControls" TagPrefix="radTlb" %>
<%@ Page Language="c#" AutoEventWireup="false" Inherits="ClientApplicationBar" CodeBehind="ClientApplicationBar.aspx.cs" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<HTML>
	<HEAD>
		<title>Client-side examples - Application Bar and Quick Access buttons</title>
		<link rel="Stylesheet" type="text/css" href="../../Office2007Client/Css/RibbonBar.css">
			<script type="text/javascript" src="../../Office2007Client/Scripts/RibbonBar.js"></script>
			<script type="text/javascript" src="../../Office2007Client/Scripts/RibbonPreloader.js"></script>
			<script type="text/javascript">
    function customizeMenuHandler(sender, eventArgs)
		{
			if (eventArgs.Item.Value == "MinimizeRibbon")
			{			
				checked = _applicationBar.getMinimizeRibbon();
				checked = !checked;
				imageUrl = "../../Images/Misc/Unchecked.gif";
				
				if (checked)
				{
					imageUrl = "../../Images/Misc/Checked.gif";					
				}
				
				eventArgs.Item.SetImageUrl(imageUrl);
				_applicationBar.setMinimizeRibbon(checked);
			}
		}
			</script>
	</HEAD>
	<body onload="preloadRibbonImages('../../Office2007Client/Images/');">
		<form id="form1" runat="server">
			<div style="MIN-WIDTH: 600px">
				<orb:ApplicationBar ID="MainApplicationBar" runat="server" ApplicationName="Test Client" DocumentName="Application Bar and Quick Access buttons"
					GenerateClientMember="True" ApplicationMenuID="MainApplicationMenu" RibbonTabStripID="TabStrip"
					CustomizeToolTip="Customize the Quick Access Toolbar" OnClientCustomizeClick="_applicationBar.showCustomizeMenu(event);"
					CustomizeMenuID="CustomizeMenu" ClientMemberName="_applicationBar">
					<PLACEHOLDER>
						<orb:QuickAccessRibbonButton id="ClickQuickAccessRibbonButton" runat="server" ClientMemberName="_clickQuickAccessRibbonButton"
							OnClientClick="alert('QuickAccessRibbonButton client-side click');" ToolTip="Click this button to demonstate the OnClientClick event"
							EnabledImageUrl="~/Images/16x16/Document.gif" DisabledImageUrl="~/Images/16x16/DocumentDisabled.gif"></orb:QuickAccessRibbonButton>
						<orb:QuickAccessRibbonButton id="EnabledQuickAccessRibbonButton" runat="server" ClientMemberName="_enabledQuickAccessRibbonButton"
							ToolTip="This button will reflect the Enabled state" EnabledImageUrl="~/Images/16x16/Document.gif" DisabledImageUrl="~/Images/16x16/DocumentDisabled.gif"></orb:QuickAccessRibbonButton>
						<orb:QuickAccessRibbonButton id="CheckedQuickAccessRibbonButton" runat="server" ClientMemberName="_checkedQuickAccessRibbonButton"
							ToolTip="This button will reflect the Checked state" EnabledImageUrl="~/Images/16x16/Document.gif" DisabledImageUrl="~/Images/16x16/DocumentDisabled.gif"></orb:QuickAccessRibbonButton>
					</PLACEHOLDER>
				</orb:ApplicationBar>
				<radTS:RadTabStrip ID="TabStrip" runat="server" Skin="Office2007" style="PADDING-LEFT:50px" MultiPageID="RadMultiPage"
					SelectedIndex="0">
					<TABS>
						<radTS:Tab id="RibbonTab1" runat="server" PageViewID="PageView1" Text="Ribbon Tab 1"></radTS:Tab>
						<radTS:Tab id="RibbonTab2" runat="server" PageViewID="PageView2" Text="Ribbon Tab 2"></radTS:Tab>
						<radTS:Tab id="RibbonTab3" runat="server" PageViewID="PageView3" Text="Ribbon Tab 3"></radTS:Tab>
					</TABS>
				</radTS:RadTabStrip>
				<radTS:RadMultiPage ID="RadMultiPage" runat="server" CssClass="ribbonBar" SelectedIndex="0" Width="100%">
					<radTS:PageView id="PageView1" runat="server" Width="100%" CssClass="ribbonPart"></radTS:PageView>
					<radTS:PageView id="PageView2" runat="server" Width="100%" CssClass="ribbonPart"></radTS:PageView>
					<radTS:PageView id="PageView3" runat="server" Width="100%" CssClass="ribbonPart"></radTS:PageView>
					<radTS:PageView id="PageView4" runat="server" Width="100%" CssClass="ribbonPart">
						<radM:RadMenu id="ApplicationMenu" runat="server" Skin="Outlook" ContextMenuElementID="None" IsContext="True"
							Flow="Vertical">
							<ITEMS>
								<radM:RadMenuItem id="RadMenuItem7" runat="server" Text="Root RadMenuItem 1"></radM:RadMenuItem>
								<radM:RadMenuItem id="RadMenuItem8" runat="server" Text="Root RadMenuItem 2"></radM:RadMenuItem>
								<radM:RadMenuItem id="RadMenuItem9" runat="server" Text="Root RadMenuItem 3"></radM:RadMenuItem>
							</ITEMS>
						</radM:RadMenu>
						<radM:RadMenu id="CustomizeMenu" runat="server" Skin="Outlook" ContextMenuElementID="None" IsContext="True"
							Flow="Vertical" OnClientItemClicked="customizeMenuHandler">
							<ITEMS>
								<radM:RadMenuItem id="RadMenuItem11" runat="server" Text="Minimize the Ribbon" ImageUrl="~/Images/Misc/Unchecked.gif"
									Value="MinimizeRibbon"></radM:RadMenuItem>
							</ITEMS>
						</radM:RadMenu>
					</radTS:PageView>
				</radTS:RadMultiPage>
				<div class="pageBackground">
					<div class="pageTitle">Client-side examples</div>
					<div class="pageSubTitle" style="MARGIN-TOP: 16px">Application Menu</div>
					<div class="plainText" style="MARGIN-TOP: 8px">
						The Ribbon's Application Menu is provided by a Telerik RadMenu control with 
						some additional images and CSS styles.
					</div>
					<div class="pageSubTitle" style="MARGIN-TOP: 16px">ApplicationBar</div>
					<div class="plainText" style="MARGIN-TOP: 8px">
						To change the text in the Application Bar enter some text in the appropriate 
						text box and click the accompanying button.
					</div>
					<div style="MARGIN-TOP: 8px">
						<input id="DocumentText" type="text">&nbsp; <input id="DocumentTextButton" type="button" value="Set Document Text" onclick="_applicationBar.setDocumentName(DocumentText.value);">
					</div>
					<div style="MARGIN-TOP: 8px">
						<input id="ApplicationText" type="text">&nbsp; <input id="ApplicationTextButton" type="button" value="Set Application Text" onclick="_applicationBar.setApplicationName(ApplicationText.value);">
					</div>
					<div class="plainText" style="MARGIN-TOP: 8px">
						The ribbon can also be minimized using the customize menu on the Application 
						Bar.
					</div>
					<div class="pageSubTitle" style="MARGIN-TOP: 16px">QuickAccessRibbonButton</div>
					<div class="plainText" style="MARGIN-TOP: 8px">
						Clicking the following buttons toggle the state of the Quick Access buttons on 
						the Quick Access toolbar.
					</div>
					<div style="MARGIN-TOP: 8px">
						<input id="SetEnabledButton" type="button" value="Toggle Enabled State" onclick="_enabledQuickAccessRibbonButton.setEnabled(!_enabledQuickAccessRibbonButton.getEnabled());">
						<input id="SetCheckedButton" type="button" value="Toggle Checked State" onclick="_checkedQuickAccessRibbonButton.setChecked(!_checkedQuickAccessRibbonButton.getChecked());">
					</div>
					<div class="pageSubTitle" style="MARGIN-TOP: 16px">Ribbon Tabs</div>
					<div class="plainText" style="MARGIN-TOP: 8px">
						The Ribbon's Tabs are provided by Telerik's TabStrib, Tab, RadMultiPage, and 
						PageView controls with some additonal CSS styles.
					</div>
					<div class="pageSubTitle" style="MARGIN-TOP: 16px">Miscellaneous</div>
					<div class="plainText" style="MARGIN-TOP: 8px">
						By performing a post back you can see how changes made to the Ribbon on the 
						client are reflected back on the server.
					</div>
					<div style="MARGIN-TOP: 8px">
						<asp:Button ID="PostBack" runat="server" Text="Invoke Page PostBack" />
						<p>
							<asp:Button ID="ReturnToExamples" runat="server" Text="Return To Client-Side Examples" PostBackUrl="~/Examples/ClientSide.aspx" />
							<asp:Button ID="ReturnToProject" runat="server" Text="Return To Project Introduction" PostBackUrl="~/Examples/Default.aspx" /></p>
					</div>
				</div>
				<div class="applicationMenu" style="LEFT: 7px">
					<radM:RadMenu ID="MainApplicationMenu" runat="server" ClickToOpen="True" EnableScreenBoundaryDetection="False"
						Skin="Office2007" BackColor="Transparent">
						<ITEMS>
							<radM:RadMenuItem id="RadMenuItem1" runat="server" ImageUrl="~/Office2007Client/Images/ApplicationMenu.gif"
								ImageOverUrl="~/Office2007Client/Images/ApplicationMenuHover.gif" ImageClickedUrl="~/Office2007Client/Images/ApplicationMenuActive.gif"
								ExpandedImageUrl="~/Office2007Client/Images/ApplicationMenuActive.gif">
								<ITEMS>
									<radM:RadMenuItem id="RadMenuItem2" runat="server" Text="Main Menu 1" ImageUrl="~/Images/32x32/Document.gif"></radM:RadMenuItem>
									<radM:RadMenuItem id="RadMenuItem3" runat="server" Text="Main Menu 2" ImageUrl="~/Images/32x32/Document.gif">
										<ITEMS>
											<radM:RadMenuItem id="RadMenuItem4" runat="server" Text="Child Menu Title"></radM:RadMenuItem>
											<radM:RadMenuItem id="RadMenuItem5" runat="server" Text="Child Menu 1" ImageUrl="~/Images/32x32/Document.gif"></radM:RadMenuItem>
											<radM:RadMenuItem id="RadMenuItem6" runat="server" Text="Child Menu 2" ImageUrl="~/Images/32x32/Document.gif"></radM:RadMenuItem>
										</ITEMS>
									</radM:RadMenuItem>
									<radM:RadMenuItem id="RadMenuItem10" runat="server" Text="Main Menu 3" ImageUrl="~/Images/32x32/Document.gif"></radM:RadMenuItem>
								</ITEMS>
							</radM:RadMenuItem>
						</ITEMS>
					</radM:RadMenu>
				</div>
			</div>
		</form>
	</body>
</HTML>
