<%@ Register Assembly="RibbonToolbarNET11" Namespace="RussellMason.Web.UI.Office2007" TagPrefix="orb" %>
<%@ Register Assembly="RadTabStrip" Namespace="Telerik.WebControls" TagPrefix="radTS" %>
<%@ Register Assembly="RadMenu" Namespace="Telerik.WebControls" TagPrefix="radM" %>
<%@ Register Assembly="RadAjax" Namespace="Telerik.WebControls" TagPrefix="radA" %>
<%@ Register Assembly="RadComboBox" Namespace="Telerik.WebControls" TagPrefix="radC" %>
<%@ Register Assembly="RadToolbar" Namespace="Telerik.WebControls" TagPrefix="radTlb" %>
<%@ Page Language="c#" AutoEventWireup="false" Inherits="ClientRibbonGroup" CodeBehind="ClientRibbonGroup.aspx.cs" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<HTML>
	<HEAD>
		<title>Client-side examples - Ribbon Groups</title>
		<link rel="Stylesheet" type="text/css" href="../../Office2007Client/Css/RibbonBar.css">
			<script type="text/javascript" src="../../Office2007Client/Scripts/RibbonBar.js"></script>
			<script type="text/javascript" src="../../Office2007Client/Scripts/RibbonPreloader.js"></script>
	</HEAD>
	<body onload="preloadRibbonImages('../../Office2007Client/Images/');">
		<form id="form1" runat="server">
			<div style="MIN-WIDTH: 700px">
				<orb:ApplicationBar ID="MainApplicationBar" runat="server" ApplicationName="Test Client" DocumentName="Ribbon Groups"
					GenerateClientMember="True" ApplicationMenuID="MainApplicationMenu" RibbonTabStripID="TabStrip"
					ClientMemberName="_applicationBar">
					<PLACEHOLDER></PLACEHOLDER>
				</orb:ApplicationBar>
				<radTS:RadTabStrip ID="TabStrip" runat="server" Skin="Office2007" style="PADDING-LEFT:50px" MultiPageID="RadMultiPage"
					SelectedIndex="0">
					<TABS>
						<radTS:Tab id="RibbonTab1" runat="server" PageViewID="PageView1" Text="Ribbon Tab"></radTS:Tab>
					</TABS>
				</radTS:RadTabStrip>
				<radTS:RadMultiPage ID="RadMultiPage" runat="server" CssClass="ribbonBar" SelectedIndex="0" Width="100%">
					<radTS:PageView id="PageView1" runat="server" Width="100%" CssClass="ribbonPart">
						<orb:RibbonGroup id="RibbonGroupWithDialogLauncher" runat="server" ClientMemberName="_ribbonGroupWithLauncher"
							GenerateClientMember="True" Text="Ribbon Group With Dialog Launcher" Width="383px" DialogLauncherToolTip="Click this button to demonstate the OnClientDialogLauncherClick event"
							OnClientDialogLauncherClick="alert('Dialog Launcher Clicked');" ShowDialogLauncher="True">
							<PLACEHOLDER>
								<orb:OneRowLayout id="Item1" runat="server">
									<PLACEHOLDER>
										<DIV class="plainText">Group content goes here</DIV>
									</PLACEHOLDER>
								</orb:OneRowLayout>
								<orb:RibbonSeparator id="RibbonSeparator1" runat="server"></orb:RibbonSeparator>
								<orb:OneRowLayout id="OneRowLayout1" runat="server">
									<PLACEHOLDER>
										<DIV class="plainText">Group content goes here</DIV>
									</PLACEHOLDER>
								</orb:OneRowLayout>
							</PLACEHOLDER>
						</orb:RibbonGroup>
						<orb:RibbonGroup id="RibbonGroupWithoutDialogLauncher" runat="server" ClientMemberName="_ribbonGroupWithoutLauncher"
							GenerateClientMember="True" Text="Ribbon Group Without Dialog Launcher" Width="373px">
							<PLACEHOLDER>
								<orb:OneRowLayout id="OneRowLayout2" runat="server">
									<PLACEHOLDER>
										<DIV class="plainText">Group content goes here</DIV>
									</PLACEHOLDER>
								</orb:OneRowLayout>
								<orb:RibbonSeparator id="RibbonSeparator2" runat="server"></orb:RibbonSeparator>
								<orb:OneRowLayout id="OneRowLayout3" runat="server">
									<PLACEHOLDER>
										<DIV class="plainText">Group content goes here</DIV>
									</PLACEHOLDER>
								</orb:OneRowLayout>
							</PLACEHOLDER>
						</orb:RibbonGroup>
					</radTS:PageView>
				</radTS:RadMultiPage>
				<div class="pageBackground">
					<div class="pageTitle">Client-side examples</div>
					<div class="pageSubTitle" style="MARGIN-TOP: 16px">Ribbon Group</div>
					<div class="plainText" style="MARGIN-TOP: 8px">
						To change the text in the Ribbon Group (with Dialog Launcher) enter some text 
						and click the button.
					</div>
					<div style="MARGIN-TOP: 8px">
						<input id="GroupText" type="text">&nbsp; <input id="SetTextButton" type="button" value="Set Text" onclick="_ribbonGroupWithLauncher.setText(GroupText.value);">
					</div>
					<div class="pageSubTitle" style="MARGIN-TOP: 16px">Ribbon Group Dialog Launcher</div>
					<div class="plainText" style="MARGIN-TOP: 8px">
						Click the Ribbon Group's Dialog Launcher button to see how to respond to the 
						client event.
					</div>
					<div class="pageSubTitle" style="MARGIN-TOP: 16px">Miscellaneous</div>
					<div class="plainText" style="MARGIN-TOP: 8px">
						By performing a post back you can see how changes made to the Ribbon on the 
						client are reflected back on the server.
					</div>
					<div style="MARGIN-TOP: 8px">
						<asp:Button ID="PostBack" runat="server" Text="Invoke Page PostBack" />
						<p>
							<asp:Button ID="ReturnToExamples" runat="server" Text="Return To Client-Side Examples" PostBackUrl="~/Examples/ClientSide.aspx" />
							<asp:Button ID="ReturnToProject" runat="server" Text="Return To Project Introduction" PostBackUrl="~/Examples/Default.aspx" /></p>
					</div>
				</div>
				<div class="applicationMenu" style="LEFT: 7px">
					<radM:RadMenu ID="MainApplicationMenu" runat="server" ClickToOpen="True" EnableScreenBoundaryDetection="False"
						Skin="Office2007" BackColor="Transparent">
						<ITEMS>
							<radM:RadMenuItem id="RadMenuItem1" runat="server" ImageUrl="~/Office2007Client/Images/ApplicationMenu.gif"
								ImageOverUrl="~/Office2007Client/Images/ApplicationMenuHover.gif" ImageClickedUrl="~/Office2007Client/Images/ApplicationMenuActive.gif"
								ExpandedImageUrl="~/Office2007Client/Images/ApplicationMenuActive.gif"></radM:RadMenuItem>
						</ITEMS>
					</radM:RadMenu>
				</div>
			</div>
		</form>
	</body>
</HTML>
