<%@ Register Assembly="RibbonToolbarNET11" Namespace="RussellMason.Web.UI.Office2007" TagPrefix="orb" %>
<%@ Register Assembly="RadTabStrip" Namespace="Telerik.WebControls" TagPrefix="radTS" %>
<%@ Register Assembly="RadMenu" Namespace="Telerik.WebControls" TagPrefix="radM" %>
<%@ Register Assembly="RadAjax" Namespace="Telerik.WebControls" TagPrefix="radA" %>
<%@ Register Assembly="RadComboBox" Namespace="Telerik.WebControls" TagPrefix="radC" %>
<%@ Register Assembly="RadToolbar" Namespace="Telerik.WebControls" TagPrefix="radTlb" %>
<%@ Register Assembly="RadWindow" Namespace="Telerik.WebControls" TagPrefix="radW" %>
<%@ Page Language="c#" AutoEventWireup="false" Inherits="ClientMockup" CodeBehind="ClientMockup.aspx.cs" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<HTML>
	<HEAD>
		<title>Client-side Examples</title>
		<link rel="Stylesheet" type="text/css" href="../../Office2007Client/Css/RibbonBar.css">
			<script type="text/javascript" src="../../Office2007Client/Scripts/RibbonBar.js"></script>
			<script type="text/javascript" src="../../Office2007Client/Scripts/RibbonPreloader.js"></script>
			<script type="text/javascript">
		function customizeMenuHandler(sender, eventArgs)
		{
			if (eventArgs.Item.Value == "MinimizeRibbon")
			{
				checked = _applicationBar.getMinimizeRibbon();
				checked = !checked;
				imageUrl = "../../Images/Misc/Unchecked.gif";
				
				if (checked)
				{
					imageUrl = "../../Images/Misc/Checked.gif";					
				}
				
				eventArgs.Item.SetImageUrl(imageUrl);
				
				_applicationBar.setMinimizeRibbon(checked);
			}
		}
		
		function showSystemSecurityDialog()
		{
			windowManager = GetRadWindowManager();
			dialog = windowManager.GetWindowByName("SystemSecurityDialog");
			dialog.SetSize(310, 200);
			dialog.Show();
		}
		
		function windowResized()
		{
			windowWidth = document.documentElement.clientWidth;
			computerImage = document.getElementById("computerImage");
			
			if (windowWidth < 555)
			{
				if (largeImageVisible)
				{
					computerImage.src = "../../Images/Misc/ComputerManagementSmall.gif";
					largeImageVisible = false;
				}
			}
			else
			{
				if (!largeImageVisible)
				{
					computerImage.src = "../../Images/Misc/ComputerManagement.jpg";
					largeImageVisible = true;
				}
			}
		}
		
		largeImageVisible = true;
		associateObjectWithMultiEvent(window, "onresize", this, "windowResized");
			</script>
	</HEAD>
	<body onload="preloadRibbonImages('../../Office2007Client/Images/');">
		<form id="form1" runat="server">
			<div>
				<orb:ApplicationBar ID="MainApplicationBar" runat="server" ApplicationName="Computer Management Console"
					DocumentName="My Computer" GenerateClientMember="True" ApplicationMenuID="MainApplicationMenu" RibbonTabStripID="TabStrip"
					CustomizeToolTip="Customize the Quick Access Toolbar" OnClientCustomizeClick="_applicationBar.showCustomizeMenu(event);"
					CustomizeMenuID="MinimizeMenu" ClientMemberName="_applicationBar">
					<PLACEHOLDER>
						<orb:QuickAccessRibbonButton id="QuickAccessRibbonButton1" runat="server" ClientMemberName="_quickAccessRibbonButton1"
							ToolTip="Scan your computer for viruses" EnabledImageUrl="../../Images/16x16/Virus.gif" DisabledImageUrl="../../Images/16x16/Empty.gif"></orb:QuickAccessRibbonButton>
						<orb:QuickAccessRibbonButton id="QuickAccessRibbonButton2" runat="server" ClientMemberName="_quickAccessRibbonButton2"
							ToolTip="Install or configure printers" EnabledImageUrl="../../Images/16x16/Printer.gif" DisabledImageUrl="../../Images/16x16/Empty.gif"></orb:QuickAccessRibbonButton>
						<orb:QuickAccessRibbonButton id="QuickAccessRibbonButton3" runat="server" ClientMemberName="_quickAccessRibbonButton3"
							ToolTip="Start and stop services" EnabledImageUrl="../../Images/16x16/Services.gif" DisabledImageUrl="../../Images/16x16/Empty.gif"></orb:QuickAccessRibbonButton>
						<orb:QuickAccessRibbonButton id="QuickAccessRibbonButton4" runat="server" ClientMemberName="_quickAccessRibbonButton4"
							ToolTip="Help" EnabledImageUrl="../../Images/16x16/Help.gif" DisabledImageUrl="../../Images/16x16/Empty.gif"></orb:QuickAccessRibbonButton>
					</PLACEHOLDER>
				</orb:ApplicationBar>
				<radTS:RadTabStrip ID="TabStrip" runat="server" Skin="Office2007" style="PADDING-LEFT:50px" MultiPageID="RadMultiPage1"
					SelectedIndex="0">
					<TABS>
						<radTS:Tab id="Tab1" runat="server" PageViewID="PageView1" Text="Health Check"></radTS:Tab>
						<radTS:Tab id="Tab2" runat="server" PageViewID="PageView2" Text="Security"></radTS:Tab>
						<radTS:Tab id="Tab3" runat="server" PageViewID="PageView3" Text="Hardware"></radTS:Tab>
						<radTS:Tab id="Tab4" runat="server" PageViewID="PageView4" Text="Software"></radTS:Tab>
						<radTS:Tab id="Tab5" runat="server" PageViewID="PageView5" Text="System"></radTS:Tab>
					</TABS>
				</radTS:RadTabStrip>
				<radTS:RadMultiPage ID="RadMultiPage1" runat="server" CssClass="ribbonBar" SelectedIndex="0" Width="100%">
					<radTS:PageView id="PageView1" runat="server" Width="100%" CssClass="ribbonPart">
						<orb:RibbonGroup id="RibbonGroup1" runat="server" ClientMemberName="_ribbonGroup1" Text="Scans" Width="122px"
							CollapsedImageUrl="../../Images/16x16/Shield.gif" ExpandedWidth="107" CollapsedWidth="40">
							<PLACEHOLDER>
								<orb:LargeRibbonButton id="LargeRibbonButton17" runat="server" ClientMemberName="_largeRibbonButton17"
									ToolTip="Scan your computer for viruses" EnabledImageUrl="../../Images/32x32/Virus.gif" Text="Virus"></orb:LargeRibbonButton>
								<orb:LargeRibbonButton id="LargeRibbonButton18" runat="server" ClientMemberName="_largeRibbonButton18"
									ToolTip="Scan your computer for spyware" EnabledImageUrl="../../Images/32x32/Spyware.gif" Text="Spyware"
									Width="55px"></orb:LargeRibbonButton>
							</PLACEHOLDER>
						</orb:RibbonGroup>
						<orb:RibbonGroup id="RibbonGroup2" runat="server" ClientMemberName="_ribbonGroup2" Text="Data Protection"
							Width="130px" CollapsedImageUrl="../../Images/16x16/Data.gif" ExpandedWidth="117" CollapsedWidth="75"
							CollapseSequence="1" DropDownMenuAlignment="Right">
							<PLACEHOLDER>
								<orb:LargeRibbonButton id="LargeRibbonButton19" runat="server" ClientMemberName="_largeRibbonButton19"
									ToolTip="Backup your applications and files" EnabledImageUrl="../../Images/32x32/Backup.gif" Text="Backup"
									Width="50px"></orb:LargeRibbonButton>
								<orb:LargeRibbonButton id="LargeRibbonButton20" runat="server" ClientMemberName="_largeRibbonButton20"
									ToolTip="Recover your applications and files from a backup" EnabledImageUrl="../../Images/32x32/Restore.gif"
									Text="Recovery" Width="60px"></orb:LargeRibbonButton>
							</PLACEHOLDER>
						</orb:RibbonGroup>
						<orb:RibbonGroup id="RibbonGroup3" runat="server" ClientMemberName="_ribbonGroup3" Text="Maintenance"
							Width="110px" CollapsedImageUrl="../../Images/16x16/Maintenance.gif" ExpandedWidth="91" CollapsedWidth="70"
							CollapseSequence="2">
							<PLACEHOLDER>
								<orb:LargeRibbonButton id="LargeRibbonButton21" runat="server" ClientMemberName="_largeRibbonButton21"
									ToolTip="Defragment your harddisk to improve performance" EnabledImageUrl="../../Images/32x32/Defragmenter.gif"
									Text="Defragmenter" Width="85px"></orb:LargeRibbonButton>
							</PLACEHOLDER>
						</orb:RibbonGroup>
						<orb:RibbonGroup id="RibbonGroup4" runat="server" ClientMemberName="_ribbonGroup4" Text="Wizards"
							Width="80px" CollapsedImageUrl="../../Images/16x16/Wizard.gif" ExpandedWidth="66" CollapsedWidth="50"
							CollapseSequence="3">
							<PLACEHOLDER>
								<orb:LargeRibbonButton id="LargeRibbonButton22" runat="server" ClientMemberName="_largeRibbonButton22"
									ToolTip="Find potential problems with your computer" EnabledImageUrl="../../Images/32x32/Diagnose.gif"
									Text="Diagnose Problems" Width="60px"></orb:LargeRibbonButton>
							</PLACEHOLDER>
						</orb:RibbonGroup>
					</radTS:PageView>
					<radTS:PageView id="PageView2" runat="server" Width="100%" CssClass="ribbonPart">
						<orb:RibbonGroup id="RibbonGroup5" runat="server" ClientMemberName="_ribbonGroup5" Text="System"
							Width="280px" CollapsedImageUrl="../../Images/16x16/SystemLog.gif" ExpandedWidth="247" CollapsedWidth="50"
							CollapseSequence="1" OnClientDialogLauncherClick="showSystemSecurityDialog();" ShowDialogLauncher="True"
							DialogLauncherToolTip="Configure System Security Settings">
							<PLACEHOLDER>
								<orb:LargeRibbonButton id="LargeRibbonButton1" runat="server" ClientMemberName="_largeRibbonButton1" ToolTip="Administer user groups and permissions"
									EnabledImageUrl="../../Images/32x32/Groups.gif" Text="Groups" Width="50px"></orb:LargeRibbonButton>
								<orb:LargeSplitRibbonButton id="LargeSplitRibbonButton1" runat="server" ClientMemberName="_largeSplitRibbonButton1"
									ToolTip="Administer users and their group membership" EnabledImageUrl="../../Images/32x32/Users.gif" Text="Users"
									OnClientBottomClick="_largeSplitRibbonButton1.showDropDownMenu(event);" DropDownMenuID="UserMenu"></orb:LargeSplitRibbonButton>
								<orb:RibbonSeparator id="RibbonSeparator1" runat="server"></orb:RibbonSeparator>
								<orb:LargeRibbonButton id="LargeRibbonButton3" runat="server" ClientMemberName="_largeRibbonButton3" ToolTip="View details on shared foleders"
									EnabledImageUrl="../../Images/32x32/SharedFolders.gif" Text="Shared Folders" Width="70px" DropDownMenuAlignment="Right"
									DropDownMenuID="SharesMenu" OnClientClick="_largeRibbonButton3.showDropDownMenu(event);"></orb:LargeRibbonButton>
								<orb:LargeRibbonButton id="LargeRibbonButton4" runat="server" ClientMemberName="_largeRibbonButton4" ToolTip="Administer certificates"
									EnabledImageUrl="../../Images/32x32/Certificates.gif" Text="Certificates" Width="70px"></orb:LargeRibbonButton>
							</PLACEHOLDER>
						</orb:RibbonGroup>
						<orb:RibbonGroup id="RibbonGroup6" runat="server" ClientMemberName="_ribbonGroup6" Text="Internet"
							Width="120px" CollapsedImageUrl="../../Images/16x16/InternetZone.gif" ExpandedWidth="94" CollapsedWidth="50">
							<PLACEHOLDER>
								<orb:ThreeRowLayout id="ThreeRowLayout1" runat="server">
									<BOTTOMPLACEHOLDER>
										<orb:SmallRibbonButton id="SmallRibbonButton3" runat="server" ClientMemberName="_smallRibbonButton3" ToolTip="Manage information cards for online security"
											EnabledImageUrl="../../Images/16x16/CardSpace.gif" Text="CardSpace" Width="85px"></orb:SmallRibbonButton>
									</BOTTOMPLACEHOLDER>
									<TOPPLACEHOLDER>
										<orb:SmallRibbonButton id="SmallRibbonButton1" runat="server" ClientMemberName="_smallRibbonButton1" ToolTip="Configure your firewall against unauthorized access to your computer"
											EnabledImageUrl="../../Images/16x16/Firewall.gif" Text="Firewall" Width="85px"></orb:SmallRibbonButton>
									</TOPPLACEHOLDER>
									<CENTERPLACEHOLDER>
										<orb:SmallSplitRibbonButton id="SmallSplitRibbonButton1" runat="server" ClientMemberName="_smallSplitRibbonButton1"
											ToolTip="Configure Internet zones" EnabledImageUrl="../../Images/16x16/Zones.gif" Text="Zones" Width="85px"
											DropDownMenuID="ZoneMenu" OnClientRightClick="_smallSplitRibbonButton1.showDropDownMenu(event);"></orb:SmallSplitRibbonButton>
									</CENTERPLACEHOLDER>
								</orb:ThreeRowLayout>
							</PLACEHOLDER>
						</orb:RibbonGroup>
						<orb:RibbonGroup id="RibbonGroup7" runat="server" ClientMemberName="_ribbonGroup7" Text="Wizards"
							Width="100px" CollapsedImageUrl="../../Images/16x16/Wizard.gif" ExpandedWidth="81" CollapsedWidth="50"
							CollapseSequence="2">
							<PLACEHOLDER>
								<orb:LargeRibbonButton id="LargeRibbonButton5" runat="server" ClientMemberName="_largeRibbonButton5" ToolTip="Create a report of potential vunerabilities and how to improve security"
									EnabledImageUrl="../../Images/32x32/VulnerabilityAssessment.gif" Text="Vunerability Assesment" Width="75px"></orb:LargeRibbonButton>
							</PLACEHOLDER>
						</orb:RibbonGroup>
					</radTS:PageView>
					<radTS:PageView id="PageView3" runat="server" Width="100%" CssClass="ribbonPart">
						<orb:RibbonGroup id="RibbonGroup8" runat="server" ClientMemberName="_ribbonGroup8" Text="System"
							Width="250px" CollapsedImageUrl="../../Images/16x16/SystemLog.gif" ExpandedWidth="237" CollapsedWidth="50">
							<PLACEHOLDER>
								<orb:LargeRibbonButton id="LargeRibbonButton14" runat="server" ClientMemberName="_largeRibbonButton14"
									ToolTip="Change the appearance of your desktop" EnabledImageUrl="../../Images/32x32/Display.gif" Text="Display"
									Width="50px"></orb:LargeRibbonButton>
								<orb:LargeRibbonButton id="LargeRibbonButton15" runat="server" ClientMemberName="_largeRibbonButton15"
									ToolTip="Install or configure printers" EnabledImageUrl="../../Images/32x32/Printer.gif" Text="Printers"
									Width="50px"></orb:LargeRibbonButton>
								<orb:LargeRibbonButton id="LargeRibbonButton16" runat="server" ClientMemberName="_largeRibbonButton16"
									ToolTip="Connect to other computers or the Internet" EnabledImageUrl="../../Images/32x32/Network.gif"
									Text="Network" Width="50px"></orb:LargeRibbonButton>
								<orb:ThreeRowLayout id="ThreeRowLayout2" runat="server">
									<BOTTOMPLACEHOLDER>
										<orb:SmallRibbonButton id="SmallRibbonButton6" runat="server" ClientMemberName="_smallRibbonButton6" ToolTip="Customize your audio settings"
											EnabledImageUrl="../../Images/16x16/Audio.gif" Text="Audio" Width="75px"></orb:SmallRibbonButton>
									</BOTTOMPLACEHOLDER>
									<TOPPLACEHOLDER>
										<orb:SmallRibbonButton id="SmallRibbonButton4" runat="server" ClientMemberName="_smallRibbonButton4" ToolTip="Customize your mouse settings"
											EnabledImageUrl="../../Images/16x16/Mouse.gif" Text="Mouse" Width="75px"></orb:SmallRibbonButton>
									</TOPPLACEHOLDER>
									<CENTERPLACEHOLDER>
										<orb:SmallRibbonButton id="SmallRibbonButton5" runat="server" ClientMemberName="_smallRibbonButton5" ToolTip="Customize your keyboard settings"
											EnabledImageUrl="../../Images/16x16/Keyboard.gif" Text="Keyboard" Width="75px"></orb:SmallRibbonButton>
									</CENTERPLACEHOLDER>
								</orb:ThreeRowLayout>
							</PLACEHOLDER>
						</orb:RibbonGroup>
						<orb:RibbonGroup id="RibbonGroup9" runat="server" ClientMemberName="_ribbonGroup9" Text="Management"
							Width="120px" CollapsedImageUrl="../../Images/16x16/Management.gif" ExpandedWidth="102" CollapsedWidth="70">
							<PLACEHOLDER>
								<orb:LargeRibbonButton id="LargeRibbonButton9" runat="server" ClientMemberName="_largeRibbonButton9" ToolTip="Manage your harddisk and external drives"
									EnabledImageUrl="../../Images/32x32/Disk.gif" Text="Disk"></orb:LargeRibbonButton>
								<orb:LargeRibbonButton id="LargeRibbonButton10" runat="server" ClientMemberName="_largeRibbonButton10"
									ToolTip="Connect and configure mobile devices" EnabledImageUrl="../../Images/32x32/MobileDevice.gif"
									Text="Mobile Devices" Width="50px"></orb:LargeRibbonButton>
							</PLACEHOLDER>
						</orb:RibbonGroup>
						<orb:RibbonGroup id="RibbonGroup10" runat="server" ClientMemberName="_ribbonGroup10" Text="Wizards"
							Width="220px" CollapsedImageUrl="../../Images/16x16/Wizard.gif" ExpandedWidth="203" CollapsedWidth="50">
							<PLACEHOLDER>
								<orb:LargeRibbonButton id="LargeRibbonButton11" runat="server" ClientMemberName="_largeRibbonButton11"
									ToolTip="Install new hardware" EnabledImageUrl="../../Images/32x32/AddHardware.gif" Text="Add New Hardware"
									Width="65px"></orb:LargeRibbonButton>
								<orb:LargeRibbonButton id="LargeRibbonButton12" runat="server" ClientMemberName="_largeRibbonButton12"
									ToolTip="Test the compatibility of new hardware" EnabledImageUrl="../../Images/32x32/Compatibility.gif"
									Text="Compatibility" Width="70px"></orb:LargeRibbonButton>
								<orb:LargeRibbonButton id="LargeRibbonButton13" runat="server" ClientMemberName="_largeRibbonButton13"
									ToolTip="Find potential problems with your computer hardware" EnabledImageUrl="../../Images/32x32/Diagnose.gif"
									Text="Diagnose Problems" Width="60px"></orb:LargeRibbonButton>
							</PLACEHOLDER>
						</orb:RibbonGroup>
					</radTS:PageView>
					<radTS:PageView id="PageView4" runat="server" Width="100%" CssClass="ribbonPart">
						<orb:RibbonGroup id="RibbonGroup11" runat="server" ClientMemberName="_ribbonGroup11" Text="System"
							Width="90px" CollapsedImageUrl="../../Images/16x16/SystemLog.gif" ExpandedWidth="71" CollapsedWidth="50">
							<PLACEHOLDER>
								<orb:LargeRibbonButton id="LargeRibbonButton6" runat="server" ClientMemberName="_largeRibbonButton6" ToolTip="Set up Windows to install update as they become available"
									EnabledImageUrl="../../Images/32x32/AutomaticUpdates.gif" Text="Automatic Updates" Width="65px"></orb:LargeRibbonButton>
							</PLACEHOLDER>
						</orb:RibbonGroup>
						<orb:RibbonGroup id="RibbonGroup12" runat="server" ClientMemberName="_ribbonGroup12" Text="Applications"
							Width="335px" CollapsedImageUrl="../../Images/16x16/ApplicationLog.gif" ExpandedWidth="278" CollapsedWidth="70">
							<PLACEHOLDER>
								<orb:LargeRibbonButton id="LargeRibbonButton28" runat="server" ClientMemberName="_largeRibbonButton28"
									ToolTip="Configure installed applications" EnabledImageUrl="../../Images/32x32/Configuration.gif" Text="Configure"
									Width="60px"></orb:LargeRibbonButton>
								<orb:RibbonSeparator id="RibbonSeparator2" runat="server"></orb:RibbonSeparator>
								<orb:ThreeRowLayout id="ThreeRowLayout4" runat="server">
									<BOTTOMPLACEHOLDER>
										<DIV style="POSITION: relative">
											<orb:SmallRibbonButton id="SmallRibbonButton10" style="RIGHT: 0px; POSITION: absolute" runat="server" ClientMemberName="_smallRibbonButton10"
												ToolTip="Find the specified application" EnabledImageUrl="../../Images/16x16/Find.gif" Width="23px"></orb:SmallRibbonButton>
											<asp:TextBox id="TextBox1" runat="server" Width="173px" CssClass="ribbonBarTextBox ribbonPart"></asp:TextBox></DIV>
									</BOTTOMPLACEHOLDER>
									<TOPPLACEHOLDER>
										<asp:Label id="Label1" runat="server" Text="Find" CssClass="ribbonBarLabelTitle"></asp:Label>
									</TOPPLACEHOLDER>
									<CENTERPLACEHOLDER>
<asp:CheckBox id="CheckBox1" runat="server" Text="My Computer" CssClass="ribbonBarCheckBox"></asp:CheckBox>&nbsp;&nbsp;
<asp:CheckBox id="CheckBox2" runat="server" Text="Computers near me" CssClass="ribbonBarCheckBox"></asp:CheckBox> 
</CENTERPLACEHOLDER>
								</orb:ThreeRowLayout>
							</PLACEHOLDER>
						</orb:RibbonGroup>
						<orb:RibbonGroup id="RibbonGroup13" runat="server" ClientMemberName="_ribbonGroup13" Text="Wizards"
							Width="150px" CollapsedImageUrl="../../Images/16x16/Wizard.gif" ExpandedWidth="142" CollapsedWidth="55">
							<PLACEHOLDER>
								<orb:LargeRibbonButton id="LargeRibbonButton7" runat="server" ClientMemberName="_largeRibbonButton7" ToolTip="Install new software"
									EnabledImageUrl="../../Images/32x32/AddSoftware.gif" Text="Add New Software" Width="65px"></orb:LargeRibbonButton>
								<orb:LargeRibbonButton id="LargeRibbonButton8" runat="server" ClientMemberName="_largeRibbonButton8" ToolTip="Check the compatibility of new software"
									EnabledImageUrl="../../Images/32x32/Compatibility.gif" Text="Compatibility" Width="70px"></orb:LargeRibbonButton>
							</PLACEHOLDER>
						</orb:RibbonGroup>
					</radTS:PageView>
					<radTS:PageView id="PageView5" runat="server" Width="100%" CssClass="ribbonPart">
						<orb:RibbonGroup id="RibbonGroup14" runat="server" ClientMemberName="_ribbonGroup14" Text="Monitoring"
							Width="170px" CollapsedImageUrl="../../Images/16x16/TraceLog.gif" ExpandedWidth="152" CollapsedWidth="60">
							<PLACEHOLDER>
								<orb:LargeRibbonButton id="LargeRibbonButton24" runat="server" ClientMemberName="_largeRibbonButton24"
									ToolTip="View monitoring from Windows and other applications" EnabledImageUrl="../../Images/32x32/EventViewer.gif"
									Text="Event Viewer" Width="70px" DropDownMenuAlignment="Right" DropDownMenuID="EventMenu" OnClientClick="_largeRibbonButton24.showDropDownMenu(event);"></orb:LargeRibbonButton>
								<orb:LargeRibbonButton id="LargeRibbonButton25" runat="server" ClientMemberName="_largeRibbonButton25"
									ToolTip="View information on the performance of your computer" EnabledImageUrl="../../Images/32x32/PerformanceLogs.gif"
									Text="Performance Logs" Width="75px" DropDownMenuAlignment="Right" DropDownMenuID="PerformanceMenu"
									OnClientClick="_largeRibbonButton25.showDropDownMenu(event);"></orb:LargeRibbonButton>
							</PLACEHOLDER>
						</orb:RibbonGroup>
						<orb:RibbonGroup id="RibbonGroup15" runat="server" ClientMemberName="_ribbonGroup15" Text="Management"
							Width="210px" CollapsedImageUrl="../../Images/16x16/Management.gif" ExpandedWidth="190" CollapsedWidth="70"
							CollapseSequence="1">
							<PLACEHOLDER>
								<orb:LargeRibbonButton id="LargeRibbonButton26" runat="server" ClientMemberName="_largeRibbonButton26"
									ToolTip="Start and stop services" EnabledImageUrl="../../Images/32x32/Services.gif" Text="Services"
									Width="55px"></orb:LargeRibbonButton>
								<orb:ThreeRowLayout id="ThreeRowLayout3" runat="server">
									<BOTTOMPLACEHOLDER>
										<orb:SmallRibbonButton id="SmallRibbonButton9" runat="server" ClientMemberName="_smallRibbonButton9" ToolTip="Run applications on another computer"
											EnabledImageUrl="../../Images/16x16/RemoteDesktop.gif" Text="Remote Desktop" Width="125px"></orb:SmallRibbonButton>
									</BOTTOMPLACEHOLDER>
									<TOPPLACEHOLDER>
										<orb:SmallRibbonButton id="SmallRibbonButton7" runat="server" ClientMemberName="_smallRibbonButton7" ToolTip="Schedule tasks to run automatically"
											EnabledImageUrl="../../Images/16x16/ScheduledTasks.gif" Text="Scheduled Tasks" Width="125px"></orb:SmallRibbonButton>
									</TOPPLACEHOLDER>
									<CENTERPLACEHOLDER>
										<orb:SmallRibbonButton id="SmallRibbonButton8" runat="server" ClientMemberName="_smallRibbonButton8" ToolTip="Configure energy-saving options"
											EnabledImageUrl="../../Images/16x16/PowerOptions.gif" Text="Power Options" Width="125px"></orb:SmallRibbonButton>
									</CENTERPLACEHOLDER>
								</orb:ThreeRowLayout>
							</PLACEHOLDER>
						</orb:RibbonGroup>
						<orb:RibbonGroup id="RibbonGroup16" runat="server" ClientMemberName="_ribbonGroup16" Text="General"
							Width="100px" CollapsedImageUrl="../../Images/16x16/Information.gif" ExpandedWidth="78" CollapsedWidth="50"
							CollapseSequence="2">
							<PLACEHOLDER>
								<orb:LargeRibbonButton id="LargeRibbonButton23" runat="server" ClientMemberName="_largeRibbonButton23"
									ToolTip="View information about your system" EnabledImageUrl="../../Images/32x32/Information.gif" Text="Information"
									Width="70px"></orb:LargeRibbonButton>
							</PLACEHOLDER>
						</orb:RibbonGroup>
					</radTS:PageView>
					<radTS:PageView id="PageView6" runat="server" Width="100%">
						<radM:RadMenu id="MinimizeMenu" runat="server" Skin="Outlook" OnClientItemClicked="customizeMenuHandler"
							ContextMenuElementID="None" IsContext="True" Flow="Vertical">
							<ITEMS>
								<radM:RadMenuItem id="RadMenuItem5" runat="server" Text="Minimize the Ribbon" ImageUrl="../../Images/Misc/Unchecked.gif"
									Value="MinimizeRibbon"></radM:RadMenuItem>
							</ITEMS>
						</radM:RadMenu>
						<radM:RadMenu id="SharesMenu" runat="server" Skin="Outlook" ContextMenuElementID="None" IsContext="True"
							Flow="Vertical">
							<ITEMS>
								<radM:RadMenuItem id="RadMenuItem6" runat="server" Text="Shares" ImageUrl="../../Images/16x16/Shares.gif"></radM:RadMenuItem>
								<radM:RadMenuItem id="RadMenuItem7" runat="server" Text="Sessions" ImageUrl="../../Images/16x16/Sessions.gif"></radM:RadMenuItem>
								<radM:RadMenuItem id="RadMenuItem8" runat="server" Text="Open Files" ImageUrl="../../Images/16x16/OpenFiles.gif"></radM:RadMenuItem>
							</ITEMS>
						</radM:RadMenu>
						<radM:RadMenu id="EventMenu" runat="server" Skin="Outlook" ContextMenuElementID="None" IsContext="True"
							Flow="Vertical">
							<ITEMS>
								<radM:RadMenuItem id="RadMenuItem9" runat="server" Text="Application" ImageUrl="../../Images/16x16/ApplicationLog.gif"></radM:RadMenuItem>
								<radM:RadMenuItem id="RadMenuItem10" runat="server" Text="Security" ImageUrl="../../Images/16x16/SecurityLog.gif"></radM:RadMenuItem>
								<radM:RadMenuItem id="RadMenuItem11" runat="server" Text="System" ImageUrl="../../Images/16x16/SystemLog.gif"></radM:RadMenuItem>
							</ITEMS>
						</radM:RadMenu>
						<radM:RadMenu id="PerformanceMenu" runat="server" Skin="Outlook" ContextMenuElementID="None" IsContext="True"
							Flow="Vertical">
							<ITEMS>
								<radM:RadMenuItem id="RadMenuItem12" runat="server" Text="Counter" ImageUrl="../../Images/16x16/CounterLog.gif"></radM:RadMenuItem>
								<radM:RadMenuItem id="RadMenuItem13" runat="server" Text="Trace" ImageUrl="../../Images/16x16/TraceLog.gif"></radM:RadMenuItem>
							</ITEMS>
						</radM:RadMenu>
						<radM:RadMenu id="UserMenu" runat="server" Skin="Outlook" ContextMenuElementID="None" IsContext="True"
							Flow="Vertical">
							<ITEMS>
								<radM:RadMenuItem id="RadMenuItem14" runat="server" Text="Local" ImageUrl="../../Images/16x16/UserLocal.gif"></radM:RadMenuItem>
								<radM:RadMenuItem id="RadMenuItem15" runat="server" Text="Domain" ImageUrl="../../Images/16x16/UserDomain.gif"></radM:RadMenuItem>
							</ITEMS>
						</radM:RadMenu>
						<radM:RadMenu id="ZoneMenu" runat="server" Skin="Outlook" ContextMenuElementID="None" IsContext="True"
							Flow="Vertical">
							<ITEMS>
								<radM:RadMenuItem id="RadMenuItem16" runat="server" Text="Internet" ImageUrl="../../Images/16x16/InternetZone.gif"></radM:RadMenuItem>
								<radM:RadMenuItem id="RadMenuItem17" runat="server" Text="Local Intranet" ImageUrl="../../Images/16x16/IntranetZone.gif"></radM:RadMenuItem>
								<radM:RadMenuItem id="RadMenuItem18" runat="server" Text="Trusted Sites" ImageUrl="../../Images/16x16/TrustedZone.gif"></radM:RadMenuItem>
								<radM:RadMenuItem id="RadMenuItem19" runat="server" Text="Restricted Sites" ImageUrl="../../Images/16x16/RestrictedZone.gif"></radM:RadMenuItem>
							</ITEMS>
						</radM:RadMenu>
					</radTS:PageView>
				</radTS:RadMultiPage>
				<div class="pageBackground" style="MIN-HEIGHT: 260px">
					<table>
						<tr>
							<td>
								<div class="pageTitle">Computer Management Console</div>
								<p>
									<div class="plainText">N.B. This is for demonstration purposes only, no 
										functionality behind the Ribbon controls has been implemented.</div>
									<div style="HEIGHT: 100px"></div>
									<div>
										<orb:LargeRibbonButton ID="LargeRibbonButton27" runat="server" Text="View Project" AutoPostBack="True"
											OnClick="LargeRibbonButton27_Click" Width="60px" EnabledImageUrl="../../Images/32x32/ViewExamples.gif"
											ToolTip="Return to the project home page" ClientMemberName="_largeRibbonButton27" />
										<radW:RadWindowManager ID="RadWindowManager" runat="server" Modal="True" Skin="Office2007">
											<WINDOWS>
												<radW:RadWindow id="SystemSecurityDialog" title="System Security Settings" runat="server" Top=""
													SkinsPath="~/RadControls/Window/Skins" NavigateUrl="ClientMockupSecurityDialog.aspx" Left=""
													Behavior="Close, Move"></radW:RadWindow>
											</WINDOWS>
										</radW:RadWindowManager>
									</div>
							</td>
							<td align="right" valign="top">
								<img id="computerImage" runat="server" src="../../Images/Misc/ComputerManagement.jpg" alt=""
									style="MARGIN-TOP:5px; VERTICAL-ALIGN:top; MARGIN-RIGHT:5px">
							</td>
						</tr>
					</table>
				</div>
				<div class="applicationMenu" style="LEFT: 7px">
					<radM:RadMenu ID="MainApplicationMenu" runat="server" ClickToOpen="True" EnableScreenBoundaryDetection="False"
						Skin="Office2007" BackColor="Transparent">
						<ITEMS>
							<radM:RadMenuItem id="RadMenuItem1" runat="server" ToolTip="Click here to view actions you can perform on your application"
								ImageUrl="../../Images/Misc/ApplicationMenuKbs.gif" ImageOverUrl="../../Images/Misc/ApplicationMenuHoverKbs.gif"
								ImageClickedUrl="../../Images/Misc/ApplicationMenuActiveKbs.gif" ExpandedImageUrl="../../Images/Misc/ApplicationMenuActiveKbs.gif">
								<ITEMS>
									<radM:RadMenuItem id="RadMenuItem2" runat="server" Text="My Computer" ImageUrl="../../Images/32x32/MyComputer.gif"></radM:RadMenuItem>
									<radM:RadMenuItem id="RadMenuItem3" runat="server" Text="Search" ImageUrl="../../Images/32x32/Search.gif"></radM:RadMenuItem>
									<radM:RadMenuItem id="RadMenuItem33" runat="server" Text="-" BackColor="#E0E0E0" IsSeparator="True"></radM:RadMenuItem>
									<radM:RadMenuItem id="RadMenuItem4" runat="server" Text="Log Out" ImageUrl="../../Images/32x32/Logout.gif"></radM:RadMenuItem>
								</ITEMS>
							</radM:RadMenuItem>
						</ITEMS>
					</radM:RadMenu>
				</div>
			</div>
			<orb:RibbonResizingManager runat="server" ID="resizingManager" MinimumRibbonWidth="270" />
			<script type="text/javascript">windowResized();</script>
		</form>
	</body>
</HTML>
