<%@ Page Language="c#" AutoEventWireup="false" Inherits="ServerSide" CodeBehind="ServerSide.aspx.cs" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Office 2007 Ribbon UI - Server-side examples</title>
    <link rel="Stylesheet" type="text/css" href="../Office2007Client/Css/RibbonBar.css" />

</head>
<body style="background-color: #FFFFFF; margin-top: 0px; margin-bottom: 24px;">
    <form id="form1" runat="server">
    <div style="width: 800px; margin-left: auto; margin-right: auto;">
			<div>
				<map id="KBS"><area href="http://www.killerbitesoftware.com" shape="CIRCLE" coords="764,48,38" alt="" /></map>
				<img src="../Images/Misc/Header.jpg" alt="" usemap="#KBS" border="0" />
			</div>
			<div style="width: 800px; margin-top: 8px">
				<div style="float: left; width: 200px;">
					<div style="width: 200px; height: 59px; background-image: url('../Images/Misc/TheProject.gif');">
					<p style="font-family: Verdana; font-size: 12px; font-weight: bold; position: relative; top: 33px; left: 12px;">
						<a href="Default.aspx" style="color: #2B59A7;">Introduction</a>
					</p>
					</div>
					<div style="margin-top: 8px; width: 200px; height: 59px; background-image: url('../Images/Misc/JavaScript.gif');">
					<p style="font-family: Verdana; font-size: 12px; font-weight: bold; position: relative; top: 33px; left: 12px;">
						<a href="ClientSide.aspx" style="color: #2B59A7;">Client-side examples</a>
					</p>
					</div>
					<div style="margin-top: 8px; width: 200px; height: 59px; background-image: url('../Images/Misc/AspNet.gif');">
					<p style="font-family: Verdana; font-size: 12px; font-weight: bold; position: relative; top: 33px; left: 12px;">
						<a href="ServerSide.aspx" style="color: #2B59A7;">Server-side examples</a>
					</p>	
					</div>
					<div style="margin-top: 8px; width: 200px; height: 59px; background-image: url('../Images/Misc/Download.gif');">
					<p style="font-family: Verdana; font-size: 12px; font-weight: bold; position: relative; top: 24px; left: 12px;">
						<a href="http://www.telerik.com/community/code-library/submission/b311D-tekdk.aspx" target="_blank" style="color: #2B59A7;">Source code on<br/>Telerik's Code Library</a>
					</p>	
					</div>
				</div>
				<div style="float: left; margin-left: 20px; width: 580px;">
					<div>
						<div class="pageTitle">
						Server-side examples
						</div>
						<div class="plainText" style="margin-top: 2px;">
						This set of examples show how the server-side ASP.net object model can be used to 
						build and control the ribbon. 
						</div>
						<div class="pageSubTitle" style="margin-top: 14px;">
						Application Bar and Quick Access Toolbar
						</div>
						<div class="plainText" style="margin-top: 2px;">
						This example illustrates how to change the text displayed in the Application Bar, 
						minimize the Ribbon, set Quick Access button state, and respond to server-side Quick 
						Access button events. 
						</div>
						<div style="margin-top: 5px;">
							<a href="Server/ServerApplicationBar.aspx"><img src="../Images/16x16/Next.gif" alt="View Example" border="0" /></a>
						</div>
						<div class="pageSubTitle" style="margin-top: 12px;">
						Ribbon Groups and Layouts
						</div>
						<div class="plainText" style="margin-top: 2px;">
						This example illustrates the use of the Ribbon Group and the Dialog Laucher. It also
						includes the use of Layout controls that can help provide consistent layout within 
						groups.
						</div>
						<div style="margin-top: 5px;">
							<a href="Server/ServerRibbonGroup.aspx"><img src="../Images/16x16/Next.gif" alt="View Example" border="0" /></a>
						</div>
						<div class="pageSubTitle" style="margin-top: 12px;">
						Large Ribbon Buttons and Large Split Ribbon Buttons
						</div>
						<div class="plainText" style="margin-top: 2px;">
						This example illustrates how to set Large Ribbon button state, and respond to server-side 
						events. It also shows how to use the related Large Split Ribbon button. 
						</div>
						<div style="margin-top: 5px;">
							<a href="Server/ServerLargeRibbonButton.aspx"><img src="../Images/16x16/Next.gif" alt="View Example" border="0" /></a>
						</div>
						<div class="pageSubTitle" style="margin-top: 12px;">
						Small Ribbon Buttons and Small Split Ribbon Buttons
						</div>
						<div class="plainText" style="margin-top: 2px;">
						This example illustrates how to set Small Ribbon button state, and respond to server-side 
						events. It also shows how to use the related Small Split Ribbon button. 
						</div>
						<div style="margin-top: 5px;">
							<a href="Server/ServerSmallRibbonButton.aspx"><img src="../Images/16x16/Next.gif" alt="View Example" border="0" /></a>
						</div>
						<div class="pageSubTitle" style="margin-top: 12px;">
						Creating controls programmatically
						</div>
						<div class="plainText" style="margin-top: 2px;">
						This example illustrates how to create controls at runtime. 
						</div>
						<div style="margin-top: 5px;">
							<a href="Server/ServerProgrammatic.aspx"><img src="../Images/16x16/Next.gif" alt="View Example" border="0" /></a>
						</div>
						<div class="pageSubTitle" style="margin-top: 12px;">
						AJAX support
						</div>
						<div class="plainText" style="margin-top: 2px;">
						This example illustrates the use of <a href="http://www.telerik.com">Telerik</a>'s 
						AJAX Manager to provide AJAX functionality.
						</div>
						<div style="margin-top: 5px;">
							<a href="Server/ServerSimpleAjax.aspx"><img src="../Images/16x16/Next.gif" alt="View Example" border="0" /></a>
						</div>
						<div class="pageSubTitle" style="margin-top: 12px;">
						Surviving redirects
						</div>
						<div class="plainText" style="margin-top: 2px;">
						This example illustrates how Ribbon state can be preserved when using Response.Redirect 
						or cross-page post backs.
						</div>
						<div style="margin-top: 5px;">
							<a href="Server/ServerSurvivingRedirectPage1.aspx"><img src="../Images/16x16/Next.gif" alt="View Example" border="0" /></a>
						</div>
					</div>
				</div>
			</div>
    </div>
    </form>
</body>
</html>
